Package fr.gouv.vitam.processing.common.model

# Class WorkerBean

java.lang.Object
fr.gouv.vitam.processing.common.model.WorkerBean

public class WorkerBean extends Object
Worker class used for deserialize JSON file (root element)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkerBean(String name, String family, int capacity, String status, WorkerRemoteConfiguration configuration)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCapacity()`
  `WorkerRemoteConfiguration`
  `getConfiguration()`
  `String`
  `getFamily()`
  `String`
  `getName()`
  `String`
  `getStatus()`
  `String`
  `getWorkerId()`
  `WorkerBean`
  `setCapacity(int capacity)`
  `WorkerBean`
  `setConfiguration(WorkerRemoteConfiguration configuration)`
  `WorkerBean`
  `setFamily(String family)`
  `WorkerBean`
  `setName(String name)`
  `WorkerBean`
  `setStatus(String status)`
  `WorkerBean`
  `setWorkerId(String workerId)`
  `String`
  `toString()`
  toString : get the workerId, workerName, workerFamily, status on worker as String

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WorkerBean

    public WorkerBean(String name, String family, int capacity, String status, WorkerRemoteConfiguration configuration)
    Parameters:
      `name` - : the name of the worker
      `family` - : the family of the worker
      `capacity` - : the capacity of the worker
      `status` - : the status of the worker
      `configuration` - : the configuration of the worker

- ## Method Details

  - ### getName

    public String getName()
    Returns:
      the name

  - ### setName

    public WorkerBean setName(String name)
    Parameters:
      `name` - the worker name to set
    Returns:
      the updated WorkerBean object

  - ### getWorkerId

    public String getWorkerId()
    Returns:
      the id of the worker

  - ### setWorkerId

    public WorkerBean setWorkerId(String workerId)
    Parameters:
      `workerId` - the workerId to set
    Returns:
      the updated WorkerBean object

  - ### getFamily

    public String getFamily()
    Returns:
      the family

  - ### setFamily

    public WorkerBean setFamily(String family)
    Parameters:
      `family` - the worker Family to set
    Returns:
      the updated WorkerBean object

  - ### getCapacity

    public int getCapacity()
    Returns:
      the capacity

  - ### setCapacity

    public WorkerBean setCapacity(int capacity)
    Parameters:
      `capacity` - the capacity to set
    Returns:
      the updated WorkerBean object

  - ### getStatus

    public String getStatus()
    Returns:
      the status

  - ### setStatus

    public WorkerBean setStatus(String status)
    Parameters:
      `status` - the status to set
    Returns:
      the updated WorkerBean object

  - ### getConfiguration

    public WorkerRemoteConfiguration getConfiguration()
    Returns:
      the WorkerRemoteConfiguration including properties to connect to the Worker

  - ### setConfiguration

    public WorkerBean setConfiguration(WorkerRemoteConfiguration configuration)
    Parameters:
      `configuration` - the WorkerRemoteConfiguration to set
    Returns:
      the updated WorkerBean object

  - ### toString

    public String toString()
    toString : get the workerId, workerName, workerFamily, status on worker as String
    Overrides:
      `toString` in class `Object`